package com.qmth.themis.business.bean.admin;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.themis.business.enums.ExamRecordStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 预警提醒返回对象
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/22
 */
@ApiModel("预警提醒返回对象")
public class InvigilateListWarningBean implements Serializable {

    @ApiModelProperty(name = "序号")
    private Integer seq;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "预警id")
    private Long warningId;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "考试id")
    private Long examId;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "场次id")
    private Long examActivityId;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "考生id")
    private Long examStudentId;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "考试记录id")
    private Long examRecordId;

    @ApiModelProperty(name = "考试批次")
    private String examName;

    @ApiModelProperty(name = "考试场次")
    private String examActivityCode;

    @ApiModelProperty(name = "证件号")
    private String identity;

    @ApiModelProperty(name = "虚拟考场代码")
    private String roomCode;

    @ApiModelProperty(name = "虚拟考场名称")
    private String roomName;

    @ApiModelProperty(name = "姓名")
    private String name;

    @ApiModelProperty(name = "考生状态")
    private String status;

    @ApiModelProperty(name = "考生状态值")
    private ExamRecordStatusEnum statusCode;

    @ApiModelProperty(name = "预警量")
    private Integer warningCount;

    @ApiModelProperty(name = "陌生人脸")
    private Integer multipleFaceCount;

    @ApiModelProperty(name = "异常处理")
    private Integer exceptionCount;

    @ApiModelProperty(name = "是否违纪")
    private Integer breachStatus;

    @ApiModelProperty(name = "更新时间")
    private Long updateTime;

    @ApiModelProperty(name = "科目名称")
    private String courseName;

    @ApiModelProperty(name = "科目编码")
    private String courseCode;

    @ApiModelProperty(value = "审阅状态，0：未阅，1：已阅")
    private Integer approveStatus;

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    public Long getWarningId() {
        return warningId;
    }

    public void setWarningId(Long warningId) {
        this.warningId = warningId;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getExamActivityCode() {
        return examActivityCode;
    }

    public void setExamActivityCode(String examActivityCode) {
        this.examActivityCode = examActivityCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public Integer getApproveStatus() {
        return approveStatus;
    }

    public void setApproveStatus(Integer approveStatus) {
        this.approveStatus = approveStatus;
    }

    public Integer getMultipleFaceCount() {
        return multipleFaceCount;
    }

    public void setMultipleFaceCount(Integer multipleFaceCount) {
        this.multipleFaceCount = multipleFaceCount;
    }

    public Integer getExceptionCount() {
        return exceptionCount;
    }

    public void setExceptionCount(Integer exceptionCount) {
        this.exceptionCount = exceptionCount;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamActivityId() {
        return examActivityId;
    }

    public void setExamActivityId(Long examActivityId) {
        this.examActivityId = examActivityId;
    }

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public Long getExamRecordId() {
        return examRecordId;
    }

    public void setExamRecordId(Long examRecordId) {
        this.examRecordId = examRecordId;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStatus() {
        if (statusCode != null) {
            return statusCode.getCode();
        }
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public ExamRecordStatusEnum getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(ExamRecordStatusEnum statusCode) {
        this.statusCode = statusCode;
    }

    public Integer getWarningCount() {
        return warningCount;
    }

    public void setWarningCount(Integer warningCount) {
        this.warningCount = warningCount;
    }

    public Integer getBreachStatus() {
        return breachStatus;
    }

    public void setBreachStatus(Integer breachStatus) {
        this.breachStatus = breachStatus;
    }
}
